function [ ] = DCpower(opt, fDC)
% DCpower(opt, fDC)
% Make a list of power of carrer and sidebands at mirror.
% Plese specify ports for
%  mirror, surfce, input beame or output beam
% like;
%  np = [nPR, nPR, nPR, nIX, nIX, nIY, nIY, nSR, nSR];
%  ns = {'bk', 'bk', 'fr', 'bk', 'fr', 'bk', 'fr', 'fr', 'bk'};
%  nd = [0, 1, 1, 0, 1, 0, 1, 0, 1];  % input = 0, output = 1


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
%%% Initial setting
global PFf
eval([char(PFf), '_setup']);

%%% ports
  np = [nPR, nPR, nPR, nIX, nIX, nIY, nIY, nSR, nSR];
  ns = {'bk', 'bk', 'fr', 'bk', 'fr', 'bk', 'fr', 'fr', 'bk'};
  nd = [0, 1, 1, 0, 1, 0, 1, 0, 1];  % input = 0, output = 1

%%% === Power estimations
  fDCp = permute(fDC, [2, 3, 1]);
  fprintf('\n\nPower budget on cavities[W].\n');
  fprintf('freq [MHz]');
  for rf = 1 : length(nSBa) 
    fprintf('\t%3.6f', vFrf(nSBa(rf))/1e6);
  end
  fprintf('\n');

  for n = 1 : length(np)
    fprintf('%s %s, ', opt.optic(np(n)).name, char(ns(n)));
    if nd(n) == 0
      fprintf('in');
      n1 = getFieldAt(opt, np(n), char(ns(n)));
    else
      fprintf('out');
      n1 = getFieldOut(opt, np(n), char(ns(n)));
    end
    for rf = 1 : length(nSBa) 
      [at(n, rf), bt(n, rf)] = max(abs(fDCp(nSBa(rf), :, n1)));
      fprintf('\t%3.6f', at(n, rf)^2);
    end
    fprintf('\n');
  end
  fprintf('\n');

%%% gain estimations  
  fprintf('PRG:');    
  for rf = 1 : length(nSBa) 
    fprintf('\t%3.6f', (at(3, rf)/at(1, rf))^2);  
  end
  fprintf('\n');
  fprintf('X arm gain:');    
  for rf = 1 : length(nSBa) 
    fprintf('\t%3.6f', (at(5, rf)/at(4, rf))^2);  
  end
  fprintf('\n');
  fprintf('Y arm gain:');    
  for rf = 1 : length(nSBa) 
    fprintf('\t%3.6f', (at(7, rf)/at(6, rf))^2);  
  end
  fprintf('\n');

end

