% returns the index of an input field
%
% n = getFieldIn(opt, name, inName)
% name - optic name or serial number
% inName - input name
% n - field index
%
% Example:
% n = getFieldIn(opt, 'PR', 'fr');

function n = getFieldOut(opt, name, outName)

  sn = getSerialNum(opt, name);					% optic number
  np = getPortNum(opt, outName, opt.optic(sn).outNames);		% port number
  n = opt.optic(sn).out(np);					% link number
