% set the mechanical transfer functions for an optic
% 
% opt = setMechTF(opt, snOpt, mechTF)
% snOpt - serial number or name of an optic
% mechTF - mechanical transfer functions of this optic
%   This matrix of LTI models should take radiation pressure
%   as its first input, and give mirror position as its first
%   output (m/N).  If specified, the second and third inputs
%   should be radiation torques around the X and Y axes, and
%   the outputs are rotations around the same axes (pitch and
%   yaw) with units of rad/(N m).

function opt = setMechTF(opt, snOpt, mechTF)

  % find the optic
  snOpt = getSerialNum(opt, snOpt);

  % set mechanical transfer function
  opt.optic(snOpt).mechTF = mechTF;
