function [ ] = snr(opt, f, tVAC, hD)
% snr(opt, f, tVAC, hD)
%
% snr.m produces signal to noise sensitivity plots. Signal to noise
% sensitivity(SNR) defined as
%
%   SNR[m/rtHz] = noise from vacuum[W/rtHz] / optical gain[W/m/rtHz]
%
% at a detection port. Detection port is defined as 'PN' in "setup.m".

global rd PFf

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
%%% Initial setting

  eval([char(PFf), '_setup']);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
%%% Signal to noise
  for pn = 1:length(PN)
      SN(:, pn) = tVAC(:, pn) ./ abs(hD(:, pn, pn));
  end
  figure(500) 
  loglog(f, SN(:, :))
  title('Signal to noise')
  for b = 1 : length(PN)
    lg(b) = {strcat(char(NC(b)), ' at ', char(ND(b)))};
  end
  legend(lg)
  xlabel('Hz')
  ylabel('m/rtHz')
  grid on
  h = gcf;
  for ns = 1 : length(ext)
    saveas(h, [rd '/' num2str(500) '_SNR.' char(ext(ns))]);
  end
  
  dat = [f, SN(:, :)];
  save([rd '/' num2str(500) '_SNR.txt'], 'dat', '-ascii');
